<& "/contenido/components/header.msn", style => 'index' &>

<div style="text-align:center; padding:180px 20px;">
% if ( $keeper->{session}->state->storage eq 'POSTGRES' ) {
<form action="./index.html" method="POST"
 onsubmit="return confirm('Вы действительно собираетесь грохнуть все пользовательские сессии?\nЭто приведет к принудительному выходу пользователей из системы!')">
<input type="submit" class="input_btn" name="clear" value="Удалить все пользовательские сессии">

</form>
% }
</div>

</body>
</html>
<%args>

	$clear	=> undef

</%args>
<%init>

  if ( $clear && $keeper->{session}->state->storage eq 'POSTGRES' ) {
	warn "delete from sessions\n";
	my $req = $keeper->SQL->do('delete from sessions', {}) || $keeper->t_abort();
	$m->redirect ('./');
  }

</%init>